/*
 * Copyright (C) 2007 Novell, Inc (http://www.novell.com)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 * and associated documentation files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial
 * portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Authors:
 *            Larry Ewing <lewing@novell.com> (via script)   
 *          
 */

#ifndef CAIRO_EMBED_H_
#define CAIRO_EMBED_H_
#define _cairo_analysis_surface_add_operation _mono_cairo_analysis_surface_add_operation
#define _cairo_analysis_surface_analyze_meta_surface_pattern _mono_cairo_analysis_surface_analyze_meta_surface_pattern
#define _cairo_analysis_surface_create _mono_cairo_analysis_surface_create
#define _cairo_analysis_surface_fill _mono_cairo_analysis_surface_fill
#define _cairo_analysis_surface_finish _mono_cairo_analysis_surface_finish
#define _cairo_analysis_surface_get_bounding_box _mono_cairo_analysis_surface_get_bounding_box
#define _cairo_analysis_surface_get_extents _mono_cairo_analysis_surface_get_extents
#define _cairo_analysis_surface_get_supported _mono_cairo_analysis_surface_get_supported
#define _cairo_analysis_surface_get_unsupported _mono_cairo_analysis_surface_get_unsupported
#define _cairo_analysis_surface_has_supported _mono_cairo_analysis_surface_has_supported
#define _cairo_analysis_surface_has_unsupported _mono_cairo_analysis_surface_has_unsupported
#define _cairo_analysis_surface_intersect_clip_path _mono_cairo_analysis_surface_intersect_clip_path
#define _cairo_analysis_surface_mask _mono_cairo_analysis_surface_mask
#define _cairo_analysis_surface_paint _mono_cairo_analysis_surface_paint
#define _cairo_analysis_surface_show_glyphs _mono_cairo_analysis_surface_show_glyphs
#define _cairo_analysis_surface_stroke _mono_cairo_analysis_surface_stroke
#define _cairo_arc_in_direction _mono_cairo_arc_in_direction
#define _cairo_arc_path _mono_cairo_arc_path
#define _cairo_arc_path_negative _mono_cairo_arc_path_negative
#define _cairo_array_allocate _mono_cairo_array_allocate
#define _cairo_array_append _mono_cairo_array_append
#define _cairo_array_append_multiple _mono_cairo_array_append_multiple
#define _cairo_array_copy_element _mono_cairo_array_copy_element
#define _cairo_array_fini _mono_cairo_array_fini
#define _cairo_array_grow_by _mono_cairo_array_grow_by
#define _cairo_array_index _mono_cairo_array_index
#define _cairo_array_init _mono_cairo_array_init
#define _cairo_array_init_snapshot _mono_cairo_array_init_snapshot
#define _cairo_array_num_elements _mono_cairo_array_num_elements
#define _cairo_array_size _mono_cairo_array_size
#define _cairo_array_truncate _mono_cairo_array_truncate
#define _cairo_atomic_int_cmpxchg _mono_cairo_atomic_int_cmpxchg
#define _cairo_atomic_int_dec_and_test _mono_cairo_atomic_int_dec_and_test
#define _cairo_atomic_int_inc _mono_cairo_atomic_int_inc
#define _cairo_atomic_mutex _mono_cairo_atomic_mutex
#define _cairo_base85_stream_close _mono_cairo_base85_stream_close
#define _cairo_base85_stream_create _mono_cairo_base85_stream_create
#define _cairo_base85_stream_write _mono_cairo_base85_stream_write
#define _cairo_bentley_ottmann_tessellate_polygon _mono_cairo_bentley_ottmann_tessellate_polygon
#define _cairo_bo_edge_contains_intersect_point _mono_cairo_bo_edge_contains_intersect_point
#define _cairo_bo_edge_end_trap _mono_cairo_bo_edge_end_trap
#define _cairo_bo_event_init _mono_cairo_bo_event_init
#define _cairo_bo_event_queue_insert_if_intersect_below_current_y _mono_cairo_bo_event_queue_insert_if_intersect_below_current_y
#define _cairo_bo_intersect_ordinate_32_compare _mono_cairo_bo_intersect_ordinate_32_compare
#define _cairo_bo_sweep_line_validate _mono_cairo_bo_sweep_line_validate
#define _cairo_box_contains_point _mono_cairo_box_contains_point
#define _cairo_box_intersects_line_segment _mono_cairo_box_intersects_line_segment
#define _cairo_box_round_to_rectangle _mono_cairo_box_round_to_rectangle
#define _cairo_cache_create _mono_cairo_cache_create
#define _cairo_cache_destroy _mono_cairo_cache_destroy
#define _cairo_cache_foreach _mono_cairo_cache_foreach
#define _cairo_cache_freeze _mono_cairo_cache_freeze
#define _cairo_cache_insert _mono_cairo_cache_insert
#define _cairo_cache_lookup _mono_cairo_cache_lookup
#define _cairo_cache_remove _mono_cairo_cache_remove
#define _cairo_cache_shrink_to_accommodate _mono_cairo_cache_shrink_to_accommodate
#define _cairo_cache_thaw _mono_cairo_cache_thaw
#define _cairo_cff_dict_equal _mono_cairo_cff_dict_equal
#define _cairo_cff_fallback_fini _mono_cairo_cff_fallback_fini
#define _cairo_cff_fallback_init _mono_cairo_cff_fallback_init
#define _cairo_cff_subset_fini _mono_cairo_cff_subset_fini
#define _cairo_cff_subset_init _mono_cairo_cff_subset_init
#define _cairo_clip_clip _mono_cairo_clip_clip
#define _cairo_clip_combine_to_surface _mono_cairo_clip_combine_to_surface
#define _cairo_clip_copy_rectangle_list _mono_cairo_clip_copy_rectangle_list
#define _cairo_clip_init _mono_cairo_clip_init
#define _cairo_clip_init_copy _mono_cairo_clip_init_copy
#define _cairo_clip_init_deep_copy _mono_cairo_clip_init_deep_copy
#define _cairo_clip_int_rect_to_user _mono_cairo_clip_int_rect_to_user
#define _cairo_clip_intersect_path _mono_cairo_clip_intersect_path
#define _cairo_clip_intersect_to_rectangle _mono_cairo_clip_intersect_to_rectangle
#define _cairo_clip_intersect_to_region _mono_cairo_clip_intersect_to_region
#define _cairo_clip_path_destroy _mono_cairo_clip_path_destroy
#define _cairo_clip_path_reapply_clip_path _mono_cairo_clip_path_reapply_clip_path
#define _cairo_clip_reset _mono_cairo_clip_reset
#define _cairo_clip_set_all_clipped _mono_cairo_clip_set_all_clipped
#define _cairo_clip_translate _mono_cairo_clip_translate
#define _cairo_color_compute_shorts _mono_cairo_color_compute_shorts
#define _cairo_color_double_to_short _mono_cairo_color_double_to_short
#define _cairo_color_equal _mono_cairo_color_equal
#define _cairo_color_get_rgba _mono_cairo_color_get_rgba
#define _cairo_color_get_rgba_premultiplied _mono_cairo_color_get_rgba_premultiplied
#define _cairo_color_init _mono_cairo_color_init
#define _cairo_color_init_rgb _mono_cairo_color_init_rgb
#define _cairo_color_init_rgba _mono_cairo_color_init_rgba
#define _cairo_color_multiply_alpha _mono_cairo_color_multiply_alpha
#define _cairo_command_get_path _mono_cairo_command_get_path
#define _cairo_content_from_format _mono_cairo_content_from_format
#define _cairo_deflate_stream_close _mono_cairo_deflate_stream_close
#define _cairo_deflate_stream_create _mono_cairo_deflate_stream_create
#define _cairo_deflate_stream_write _mono_cairo_deflate_stream_write
#define _cairo_dict_collect _mono_cairo_dict_collect
#define _cairo_dict_init_key _mono_cairo_dict_init_key
#define _cairo_dtostr _mono_cairo_dtostr
#define _cairo_error _mono_cairo_error
#define _cairo_filler_close_path _mono_cairo_filler_close_path
#define _cairo_filler_curve_to _mono_cairo_filler_curve_to
#define _cairo_filler_line_to _mono_cairo_filler_line_to
#define _cairo_filler_move_to _mono_cairo_filler_move_to
#define _cairo_font_face_init _mono_cairo_font_face_init
#define _cairo_font_face_mutex _mono_cairo_font_face_mutex
#define _cairo_font_face_nil _mono_cairo_font_face_nil
#define _cairo_font_face_set_error _mono_cairo_font_face_set_error
#define _cairo_font_options_init_copy _mono_cairo_font_options_init_copy
#define _cairo_font_options_init_default _mono_cairo_font_options_init_default
#define _cairo_font_options_nil _mono_cairo_font_options_nil
#define _cairo_font_reset_static_data _mono_cairo_font_reset_static_data
#define _cairo_format_bits_per_pixel _mono_cairo_format_bits_per_pixel
#define _cairo_format_from_content _mono_cairo_format_from_content
#define _cairo_format_to_pixman_format_code _mono_cairo_format_to_pixman_format_code
#define _cairo_freelist_alloc _mono_cairo_freelist_alloc
#define _cairo_freelist_calloc _mono_cairo_freelist_calloc
#define _cairo_freelist_fini _mono_cairo_freelist_fini
#define _cairo_freelist_free _mono_cairo_freelist_free
#define _cairo_freelist_init _mono_cairo_freelist_init
#define _cairo_ft_font_face_backend _mono_cairo_ft_font_face_backend
#define _cairo_ft_font_face_create _mono_cairo_ft_font_face_create
#define _cairo_ft_font_face_destroy _mono_cairo_ft_font_face_destroy
#define _cairo_ft_font_face_scaled_font_create _mono_cairo_ft_font_face_scaled_font_create
#define _cairo_ft_font_options_substitute _mono_cairo_ft_font_options_substitute
#define _cairo_ft_font_reset_static_data _mono_cairo_ft_font_reset_static_data
#define _cairo_ft_load_truetype_table _mono_cairo_ft_load_truetype_table
#define _cairo_ft_map_glyphs_to_unicode _mono_cairo_ft_map_glyphs_to_unicode
#define _cairo_ft_scaled_font_create _mono_cairo_ft_scaled_font_create
#define _cairo_ft_scaled_font_create_toy _mono_cairo_ft_scaled_font_create_toy
#define _cairo_ft_scaled_font_fini _mono_cairo_ft_scaled_font_fini
#define _cairo_ft_scaled_font_get_unscaled_font _mono_cairo_ft_scaled_font_get_unscaled_font
#define _cairo_ft_scaled_font_is_vertical _mono_cairo_ft_scaled_font_is_vertical
#define _cairo_ft_scaled_glyph_init _mono_cairo_ft_scaled_glyph_init
#define _cairo_ft_scaled_glyph_vertical_layout_bearing_fix _mono_cairo_ft_scaled_glyph_vertical_layout_bearing_fix
#define _cairo_ft_ucs4_to_index _mono_cairo_ft_ucs4_to_index
#define _cairo_ft_unscaled_font_create_for_pattern _mono_cairo_ft_unscaled_font_create_for_pattern
#define _cairo_ft_unscaled_font_destroy _mono_cairo_ft_unscaled_font_destroy
#define _cairo_ft_unscaled_font_fini _mono_cairo_ft_unscaled_font_fini
#define _cairo_ft_unscaled_font_init _mono_cairo_ft_unscaled_font_init
#define _cairo_ft_unscaled_font_init_key _mono_cairo_ft_unscaled_font_init_key
#define _cairo_ft_unscaled_font_keys_equal _mono_cairo_ft_unscaled_font_keys_equal
#define _cairo_ft_unscaled_font_lock_face _mono_cairo_ft_unscaled_font_lock_face
#define _cairo_ft_unscaled_font_map_lock _mono_cairo_ft_unscaled_font_map_lock
#define _cairo_ft_unscaled_font_map_mutex _mono_cairo_ft_unscaled_font_map_mutex
#define _cairo_ft_unscaled_font_map_unlock _mono_cairo_ft_unscaled_font_map_unlock
#define _cairo_ft_unscaled_font_set_scale _mono_cairo_ft_unscaled_font_set_scale
#define _cairo_ft_unscaled_font_unlock_face _mono_cairo_ft_unscaled_font_unlock_face
#define _cairo_gstate_backend_to_user _mono_cairo_gstate_backend_to_user
#define _cairo_gstate_backend_to_user_rectangle _mono_cairo_gstate_backend_to_user_rectangle
#define _cairo_gstate_clip _mono_cairo_gstate_clip
#define _cairo_gstate_clip_extents _mono_cairo_gstate_clip_extents
#define _cairo_gstate_copy_clip_rectangle_list _mono_cairo_gstate_copy_clip_rectangle_list
#define _cairo_gstate_copy_page _mono_cairo_gstate_copy_page
#define _cairo_gstate_copy_transformed_pattern _mono_cairo_gstate_copy_transformed_pattern
#define _cairo_gstate_copy_transformed_source _mono_cairo_gstate_copy_transformed_source
#define _cairo_gstate_device_to_user _mono_cairo_gstate_device_to_user
#define _cairo_gstate_device_to_user_distance _mono_cairo_gstate_device_to_user_distance
#define _cairo_gstate_ensure_font_face _mono_cairo_gstate_ensure_font_face
#define _cairo_gstate_ensure_scaled_font _mono_cairo_gstate_ensure_scaled_font
#define _cairo_gstate_fill _mono_cairo_gstate_fill
#define _cairo_gstate_fill_extents _mono_cairo_gstate_fill_extents
#define _cairo_gstate_fini _mono_cairo_gstate_fini
#define _cairo_gstate_get_antialias _mono_cairo_gstate_get_antialias
#define _cairo_gstate_get_clip _mono_cairo_gstate_get_clip
#define _cairo_gstate_get_dash _mono_cairo_gstate_get_dash
#define _cairo_gstate_get_fill_rule _mono_cairo_gstate_get_fill_rule
#define _cairo_gstate_get_font_extents _mono_cairo_gstate_get_font_extents
#define _cairo_gstate_get_font_face _mono_cairo_gstate_get_font_face
#define _cairo_gstate_get_font_matrix _mono_cairo_gstate_get_font_matrix
#define _cairo_gstate_get_font_options _mono_cairo_gstate_get_font_options
#define _cairo_gstate_get_line_cap _mono_cairo_gstate_get_line_cap
#define _cairo_gstate_get_line_join _mono_cairo_gstate_get_line_join
#define _cairo_gstate_get_line_width _mono_cairo_gstate_get_line_width
#define _cairo_gstate_get_matrix _mono_cairo_gstate_get_matrix
#define _cairo_gstate_get_miter_limit _mono_cairo_gstate_get_miter_limit
#define _cairo_gstate_get_operator _mono_cairo_gstate_get_operator
#define _cairo_gstate_get_original_target _mono_cairo_gstate_get_original_target
#define _cairo_gstate_get_parent_target _mono_cairo_gstate_get_parent_target
#define _cairo_gstate_get_scaled_font _mono_cairo_gstate_get_scaled_font
#define _cairo_gstate_get_source _mono_cairo_gstate_get_source
#define _cairo_gstate_get_target _mono_cairo_gstate_get_target
#define _cairo_gstate_get_tolerance _mono_cairo_gstate_get_tolerance
#define _cairo_gstate_glyph_extents _mono_cairo_gstate_glyph_extents
#define _cairo_gstate_glyph_path _mono_cairo_gstate_glyph_path
#define _cairo_gstate_identity_matrix _mono_cairo_gstate_identity_matrix
#define _cairo_gstate_in_fill _mono_cairo_gstate_in_fill
#define _cairo_gstate_in_stroke _mono_cairo_gstate_in_stroke
#define _cairo_gstate_init _mono_cairo_gstate_init
#define _cairo_gstate_is_redirected _mono_cairo_gstate_is_redirected
#define _cairo_gstate_mask _mono_cairo_gstate_mask
#define _cairo_gstate_paint _mono_cairo_gstate_paint
#define _cairo_gstate_path_extents _mono_cairo_gstate_path_extents
#define _cairo_gstate_redirect_target _mono_cairo_gstate_redirect_target
#define _cairo_gstate_reset_clip _mono_cairo_gstate_reset_clip
#define _cairo_gstate_restore _mono_cairo_gstate_restore
#define _cairo_gstate_rotate _mono_cairo_gstate_rotate
#define _cairo_gstate_save _mono_cairo_gstate_save
#define _cairo_gstate_scale _mono_cairo_gstate_scale
#define _cairo_gstate_select_font_face _mono_cairo_gstate_select_font_face
#define _cairo_gstate_set_antialias _mono_cairo_gstate_set_antialias
#define _cairo_gstate_set_dash _mono_cairo_gstate_set_dash
#define _cairo_gstate_set_fill_rule _mono_cairo_gstate_set_fill_rule
#define _cairo_gstate_set_font_face _mono_cairo_gstate_set_font_face
#define _cairo_gstate_set_font_matrix _mono_cairo_gstate_set_font_matrix
#define _cairo_gstate_set_font_options _mono_cairo_gstate_set_font_options
#define _cairo_gstate_set_font_size _mono_cairo_gstate_set_font_size
#define _cairo_gstate_set_line_cap _mono_cairo_gstate_set_line_cap
#define _cairo_gstate_set_line_join _mono_cairo_gstate_set_line_join
#define _cairo_gstate_set_line_width _mono_cairo_gstate_set_line_width
#define _cairo_gstate_set_matrix _mono_cairo_gstate_set_matrix
#define _cairo_gstate_set_miter_limit _mono_cairo_gstate_set_miter_limit
#define _cairo_gstate_set_operator _mono_cairo_gstate_set_operator
#define _cairo_gstate_set_source _mono_cairo_gstate_set_source
#define _cairo_gstate_set_tolerance _mono_cairo_gstate_set_tolerance
#define _cairo_gstate_show_glyphs _mono_cairo_gstate_show_glyphs
#define _cairo_gstate_show_page _mono_cairo_gstate_show_page
#define _cairo_gstate_stroke _mono_cairo_gstate_stroke
#define _cairo_gstate_stroke_extents _mono_cairo_gstate_stroke_extents
#define _cairo_gstate_text_to_glyphs _mono_cairo_gstate_text_to_glyphs
#define _cairo_gstate_transform _mono_cairo_gstate_transform
#define _cairo_gstate_transform_glyphs_to_backend _mono_cairo_gstate_transform_glyphs_to_backend
#define _cairo_gstate_translate _mono_cairo_gstate_translate
#define _cairo_gstate_traps_extents_to_user_rectangle _mono_cairo_gstate_traps_extents_to_user_rectangle
#define _cairo_gstate_unset_scaled_font _mono_cairo_gstate_unset_scaled_font
#define _cairo_gstate_user_to_backend _mono_cairo_gstate_user_to_backend
#define _cairo_gstate_user_to_device _mono_cairo_gstate_user_to_device
#define _cairo_gstate_user_to_device_distance _mono_cairo_gstate_user_to_device_distance
#define _cairo_hash_string _mono_cairo_hash_string
#define _cairo_hash_table_create _mono_cairo_hash_table_create
#define _cairo_hash_table_destroy _mono_cairo_hash_table_destroy
#define _cairo_hash_table_foreach _mono_cairo_hash_table_foreach
#define _cairo_hash_table_insert _mono_cairo_hash_table_insert
#define _cairo_hash_table_lookup _mono_cairo_hash_table_lookup
#define _cairo_hash_table_lookup_internal _mono_cairo_hash_table_lookup_internal
#define _cairo_hash_table_random_entry _mono_cairo_hash_table_random_entry
#define _cairo_hash_table_remove _mono_cairo_hash_table_remove
#define _cairo_hash_table_resize _mono_cairo_hash_table_resize
#define _cairo_hull_compute _mono_cairo_hull_compute
#define _cairo_hull_next_valid _mono_cairo_hull_next_valid
#define _cairo_hull_vertex_compare _mono_cairo_hull_vertex_compare
#define _cairo_image_analyze_transparency _mono_cairo_image_analyze_transparency
#define _cairo_image_surface_acquire_dest_image _mono_cairo_image_surface_acquire_dest_image
#define _cairo_image_surface_acquire_source_image _mono_cairo_image_surface_acquire_source_image
#define _cairo_image_surface_assume_ownership_of_data _mono_cairo_image_surface_assume_ownership_of_data
#define _cairo_image_surface_clone _mono_cairo_image_surface_clone
#define _cairo_image_surface_clone_similar _mono_cairo_image_surface_clone_similar
#define _cairo_image_surface_composite _mono_cairo_image_surface_composite
#define _cairo_image_surface_composite_trapezoids _mono_cairo_image_surface_composite_trapezoids
#define _cairo_image_surface_create_for_data_with_content _mono_cairo_image_surface_create_for_data_with_content
#define _cairo_image_surface_create_for_pixman_image _mono_cairo_image_surface_create_for_pixman_image
#define _cairo_image_surface_create_similar _mono_cairo_image_surface_create_similar
#define _cairo_image_surface_create_with_content _mono_cairo_image_surface_create_with_content
#define _cairo_image_surface_create_with_masks _mono_cairo_image_surface_create_with_masks
#define _cairo_image_surface_create_with_pixman_format _mono_cairo_image_surface_create_with_pixman_format
#define _cairo_image_surface_fill_rectangles _mono_cairo_image_surface_fill_rectangles
#define _cairo_image_surface_finish _mono_cairo_image_surface_finish
#define _cairo_image_surface_get_extents _mono_cairo_image_surface_get_extents
#define _cairo_image_surface_get_font_options _mono_cairo_image_surface_get_font_options
#define _cairo_image_surface_release_dest_image _mono_cairo_image_surface_release_dest_image
#define _cairo_image_surface_release_source_image _mono_cairo_image_surface_release_source_image
#define _cairo_image_surface_reset _mono_cairo_image_surface_reset
#define _cairo_image_surface_set_attributes _mono_cairo_image_surface_set_attributes
#define _cairo_image_surface_set_clip_region _mono_cairo_image_surface_set_clip_region
#define _cairo_int128_divrem _mono_cairo_int128_divrem
#define _cairo_int128_lt _mono_cairo_int128_lt
#define _cairo_int32_to_int128 _mono_cairo_int32_to_int128
#define _cairo_int64_divrem _mono_cairo_int64_divrem
#define _cairo_int64_to_int128 _mono_cairo_int64_to_int128
#define _cairo_int64x64_128_mul _mono_cairo_int64x64_128_mul
#define _cairo_int_96by64_32x64_divrem _mono_cairo_int_96by64_32x64_divrem
#define _cairo_lfsr_random_lut _mono_cairo_lfsr_random_lut
#define _cairo_lfsr_random_state _mono_cairo_lfsr_random_state
#define _cairo_lround _mono_cairo_lround
#define _cairo_lzw_compress _mono_cairo_lzw_compress
#define _cairo_matrix_compute_determinant _mono_cairo_matrix_compute_determinant
#define _cairo_matrix_compute_scale_factors _mono_cairo_matrix_compute_scale_factors
#define _cairo_matrix_get_affine _mono_cairo_matrix_get_affine
#define _cairo_matrix_is_identity _mono_cairo_matrix_is_identity
#define _cairo_matrix_is_integer_translation _mono_cairo_matrix_is_integer_translation
#define _cairo_matrix_is_invertible _mono_cairo_matrix_is_invertible
#define _cairo_matrix_is_translation _mono_cairo_matrix_is_translation
#define _cairo_matrix_to_pixman_matrix _mono_cairo_matrix_to_pixman_matrix
#define _cairo_matrix_transform_bounding_box _mono_cairo_matrix_transform_bounding_box
#define _cairo_matrix_transformed_circle_major_axis _mono_cairo_matrix_transformed_circle_major_axis
#define _cairo_memory_stream_copy _mono_cairo_memory_stream_copy
#define _cairo_memory_stream_create _mono_cairo_memory_stream_create
#define _cairo_memory_stream_length _mono_cairo_memory_stream_length
#define _cairo_meta_surface_acquire_source_image _mono_cairo_meta_surface_acquire_source_image
#define _cairo_meta_surface_create _mono_cairo_meta_surface_create
#define _cairo_meta_surface_create_similar _mono_cairo_meta_surface_create_similar
#define _cairo_meta_surface_fill _mono_cairo_meta_surface_fill
#define _cairo_meta_surface_finish _mono_cairo_meta_surface_finish
#define _cairo_meta_surface_get_extents _mono_cairo_meta_surface_get_extents
#define _cairo_meta_surface_intersect_clip_path _mono_cairo_meta_surface_intersect_clip_path
#define _cairo_meta_surface_mask _mono_cairo_meta_surface_mask
#define _cairo_meta_surface_paint _mono_cairo_meta_surface_paint
#define _cairo_meta_surface_release_source_image _mono_cairo_meta_surface_release_source_image
#define _cairo_meta_surface_replay _mono_cairo_meta_surface_replay
#define _cairo_meta_surface_replay_and_create_regions _mono_cairo_meta_surface_replay_and_create_regions
#define _cairo_meta_surface_replay_internal _mono_cairo_meta_surface_replay_internal
#define _cairo_meta_surface_replay_region _mono_cairo_meta_surface_replay_region
#define _cairo_meta_surface_show_glyphs _mono_cairo_meta_surface_show_glyphs
#define _cairo_meta_surface_snapshot _mono_cairo_meta_surface_snapshot
#define _cairo_meta_surface_stroke _mono_cairo_meta_surface_stroke
#define _cairo_nil _mono_cairo_nil
#define _cairo_operator_bounded_by_mask _mono_cairo_operator_bounded_by_mask
#define _cairo_operator_bounded_by_source _mono_cairo_operator_bounded_by_source
#define _cairo_output_stream_close _mono_cairo_output_stream_close
#define _cairo_output_stream_create _mono_cairo_output_stream_create
#define _cairo_output_stream_create_for_file _mono_cairo_output_stream_create_for_file
#define _cairo_output_stream_create_for_filename _mono_cairo_output_stream_create_for_filename
#define _cairo_output_stream_create_in_error _mono_cairo_output_stream_create_in_error
#define _cairo_output_stream_destroy _mono_cairo_output_stream_destroy
#define _cairo_output_stream_fini _mono_cairo_output_stream_fini
#define _cairo_output_stream_get_position _mono_cairo_output_stream_get_position
#define _cairo_output_stream_get_status _mono_cairo_output_stream_get_status
#define _cairo_output_stream_init _mono_cairo_output_stream_init
#define _cairo_output_stream_nil _mono_cairo_output_stream_nil
#define _cairo_output_stream_nil_write_error _mono_cairo_output_stream_nil_write_error
#define _cairo_output_stream_printf _mono_cairo_output_stream_printf
#define _cairo_output_stream_vprintf _mono_cairo_output_stream_vprintf
#define _cairo_output_stream_write _mono_cairo_output_stream_write
#define _cairo_output_stream_write_hex_string _mono_cairo_output_stream_write_hex_string
#define _cairo_paginated_surface_acquire_source_image _mono_cairo_paginated_surface_acquire_source_image
#define _cairo_paginated_surface_copy_page _mono_cairo_paginated_surface_copy_page
#define _cairo_paginated_surface_create _mono_cairo_paginated_surface_create
#define _cairo_paginated_surface_create_image_surface _mono_cairo_paginated_surface_create_image_surface
#define _cairo_paginated_surface_create_similar _mono_cairo_paginated_surface_create_similar
#define _cairo_paginated_surface_fill _mono_cairo_paginated_surface_fill
#define _cairo_paginated_surface_finish _mono_cairo_paginated_surface_finish
#define _cairo_paginated_surface_get_extents _mono_cairo_paginated_surface_get_extents
#define _cairo_paginated_surface_get_font_options _mono_cairo_paginated_surface_get_font_options
#define _cairo_paginated_surface_get_target _mono_cairo_paginated_surface_get_target
#define _cairo_paginated_surface_intersect_clip_path _mono_cairo_paginated_surface_intersect_clip_path
#define _cairo_paginated_surface_mask _mono_cairo_paginated_surface_mask
#define _cairo_paginated_surface_paint _mono_cairo_paginated_surface_paint
#define _cairo_paginated_surface_release_source_image _mono_cairo_paginated_surface_release_source_image
#define _cairo_paginated_surface_set_size _mono_cairo_paginated_surface_set_size
#define _cairo_paginated_surface_show_glyphs _mono_cairo_paginated_surface_show_glyphs
#define _cairo_paginated_surface_show_page _mono_cairo_paginated_surface_show_page
#define _cairo_paginated_surface_snapshot _mono_cairo_paginated_surface_snapshot
#define _cairo_paginated_surface_stroke _mono_cairo_paginated_surface_stroke
#define _cairo_path_append_to_context _mono_cairo_path_append_to_context
#define _cairo_path_bounder_add_point _mono_cairo_path_bounder_add_point
#define _cairo_path_bounder_close_path _mono_cairo_path_bounder_close_path
#define _cairo_path_bounder_line_to _mono_cairo_path_bounder_line_to
#define _cairo_path_bounder_move_to _mono_cairo_path_bounder_move_to
#define _cairo_path_buf_create _mono_cairo_path_buf_create
#define _cairo_path_create _mono_cairo_path_create
#define _cairo_path_create_flat _mono_cairo_path_create_flat
#define _cairo_path_create_in_error _mono_cairo_path_create_in_error
#define _cairo_path_create_internal _mono_cairo_path_create_internal
#define _cairo_path_fixed_add _mono_cairo_path_fixed_add
#define _cairo_path_fixed_add_buf _mono_cairo_path_fixed_add_buf
#define _cairo_path_fixed_bounds _mono_cairo_path_fixed_bounds
#define _cairo_path_fixed_close_path _mono_cairo_path_fixed_close_path
#define _cairo_path_fixed_create _mono_cairo_path_fixed_create
#define _cairo_path_fixed_curve_to _mono_cairo_path_fixed_curve_to
#define _cairo_path_fixed_destroy _mono_cairo_path_fixed_destroy
#define _cairo_path_fixed_device_transform _mono_cairo_path_fixed_device_transform
#define _cairo_path_fixed_fill_to_traps _mono_cairo_path_fixed_fill_to_traps
#define _cairo_path_fixed_fini _mono_cairo_path_fixed_fini
#define _cairo_path_fixed_get_current_point _mono_cairo_path_fixed_get_current_point
#define _cairo_path_fixed_init _mono_cairo_path_fixed_init
#define _cairo_path_fixed_init_copy _mono_cairo_path_fixed_init_copy
#define _cairo_path_fixed_interpret _mono_cairo_path_fixed_interpret
#define _cairo_path_fixed_interpret_flat _mono_cairo_path_fixed_interpret_flat
#define _cairo_path_fixed_is_box _mono_cairo_path_fixed_is_box
#define _cairo_path_fixed_is_empty _mono_cairo_path_fixed_is_empty
#define _cairo_path_fixed_is_equal _mono_cairo_path_fixed_is_equal
#define _cairo_path_fixed_is_rectangle _mono_cairo_path_fixed_is_rectangle
#define _cairo_path_fixed_line_to _mono_cairo_path_fixed_line_to
#define _cairo_path_fixed_move_to _mono_cairo_path_fixed_move_to
#define _cairo_path_fixed_new_sub_path _mono_cairo_path_fixed_new_sub_path
#define _cairo_path_fixed_rel_curve_to _mono_cairo_path_fixed_rel_curve_to
#define _cairo_path_fixed_rel_line_to _mono_cairo_path_fixed_rel_line_to
#define _cairo_path_fixed_rel_move_to _mono_cairo_path_fixed_rel_move_to
#define _cairo_path_fixed_stroke_to_traps _mono_cairo_path_fixed_stroke_to_traps
#define _cairo_path_nil _mono_cairo_path_nil
#define _cairo_pattern_acquire_surface _mono_cairo_pattern_acquire_surface
#define _cairo_pattern_acquire_surface_for_solid _mono_cairo_pattern_acquire_surface_for_solid
#define _cairo_pattern_acquire_surfaces _mono_cairo_pattern_acquire_surfaces
#define _cairo_pattern_add_color_stop _mono_cairo_pattern_add_color_stop
#define _cairo_pattern_create_copy _mono_cairo_pattern_create_copy
#define _cairo_pattern_create_solid _mono_cairo_pattern_create_solid
#define _cairo_pattern_fini _mono_cairo_pattern_fini
#define _cairo_pattern_get_extents _mono_cairo_pattern_get_extents
#define _cairo_pattern_init _mono_cairo_pattern_init
#define _cairo_pattern_init_copy _mono_cairo_pattern_init_copy
#define _cairo_pattern_init_for_surface _mono_cairo_pattern_init_for_surface
#define _cairo_pattern_init_gradient _mono_cairo_pattern_init_gradient
#define _cairo_pattern_init_linear _mono_cairo_pattern_init_linear
#define _cairo_pattern_init_radial _mono_cairo_pattern_init_radial
#define _cairo_pattern_init_solid _mono_cairo_pattern_init_solid
#define _cairo_pattern_is_opaque _mono_cairo_pattern_is_opaque
#define _cairo_pattern_is_opaque_solid _mono_cairo_pattern_is_opaque_solid
#define _cairo_pattern_nil _mono_cairo_pattern_nil
#define _cairo_pattern_nil_null_pointer _mono_cairo_pattern_nil_null_pointer
#define _cairo_pattern_release_surface _mono_cairo_pattern_release_surface
#define _cairo_pattern_reset_static_data _mono_cairo_pattern_reset_static_data
#define _cairo_pattern_set_error _mono_cairo_pattern_set_error
#define _cairo_pattern_solid_pattern_cache_lock _mono_cairo_pattern_solid_pattern_cache_lock
#define _cairo_pattern_solid_surface_cache_lock _mono_cairo_pattern_solid_surface_cache_lock
#define _cairo_pattern_solid_surface_matches _mono_cairo_pattern_solid_surface_matches
#define _cairo_pattern_transform _mono_cairo_pattern_transform
#define _cairo_pdf_group_resources_clear _mono_cairo_pdf_group_resources_clear
#define _cairo_pdf_operators_clip _mono_cairo_pdf_operators_clip
#define _cairo_pdf_operators_emit_path _mono_cairo_pdf_operators_emit_path
#define _cairo_pdf_operators_emit_stroke _mono_cairo_pdf_operators_emit_stroke
#define _cairo_pdf_operators_fill _mono_cairo_pdf_operators_fill
#define _cairo_pdf_operators_fill_stroke _mono_cairo_pdf_operators_fill_stroke
#define _cairo_pdf_operators_fini _mono_cairo_pdf_operators_fini
#define _cairo_pdf_operators_init _mono_cairo_pdf_operators_init
#define _cairo_pdf_operators_set_cairo_to_pdf_matrix _mono_cairo_pdf_operators_set_cairo_to_pdf_matrix
#define _cairo_pdf_operators_set_font_subsets_callback _mono_cairo_pdf_operators_set_font_subsets_callback
#define _cairo_pdf_operators_set_stream _mono_cairo_pdf_operators_set_stream
#define _cairo_pdf_operators_show_glyphs _mono_cairo_pdf_operators_show_glyphs
#define _cairo_pdf_operators_stroke _mono_cairo_pdf_operators_stroke
#define _cairo_pdf_path_close_path _mono_cairo_pdf_path_close_path
#define _cairo_pdf_path_curve_to _mono_cairo_pdf_path_curve_to
#define _cairo_pdf_path_line_to _mono_cairo_pdf_path_line_to
#define _cairo_pdf_path_move_to _mono_cairo_pdf_path_move_to
#define _cairo_pdf_smask_group_destroy _mono_cairo_pdf_smask_group_destroy
#define _cairo_pdf_surface_add_alpha _mono_cairo_pdf_surface_add_alpha
#define _cairo_pdf_surface_add_font _mono_cairo_pdf_surface_add_font
#define _cairo_pdf_surface_add_pattern _mono_cairo_pdf_surface_add_pattern
#define _cairo_pdf_surface_add_pdf_pattern _mono_cairo_pdf_surface_add_pdf_pattern
#define _cairo_pdf_surface_add_smask _mono_cairo_pdf_surface_add_smask
#define _cairo_pdf_surface_add_smask_group _mono_cairo_pdf_surface_add_smask_group
#define _cairo_pdf_surface_add_xobject _mono_cairo_pdf_surface_add_xobject
#define _cairo_pdf_surface_analyze_operation _mono_cairo_pdf_surface_analyze_operation
#define _cairo_pdf_surface_clear _mono_cairo_pdf_surface_clear
#define _cairo_pdf_surface_close_content_stream _mono_cairo_pdf_surface_close_content_stream
#define _cairo_pdf_surface_close_group _mono_cairo_pdf_surface_close_group
#define _cairo_pdf_surface_close_stream _mono_cairo_pdf_surface_close_stream
#define _cairo_pdf_surface_create_for_stream_internal _mono_cairo_pdf_surface_create_for_stream_internal
#define _cairo_pdf_surface_create_similar _mono_cairo_pdf_surface_create_similar
#define _cairo_pdf_surface_create_smask_group _mono_cairo_pdf_surface_create_smask_group
#define _cairo_pdf_surface_emit_cff_font _mono_cairo_pdf_surface_emit_cff_font
#define _cairo_pdf_surface_emit_group_resources _mono_cairo_pdf_surface_emit_group_resources
#define _cairo_pdf_surface_emit_pattern_stops _mono_cairo_pdf_surface_emit_pattern_stops
#define _cairo_pdf_surface_emit_repeating_function _mono_cairo_pdf_surface_emit_repeating_function
#define _cairo_pdf_surface_emit_scaled_font_subset _mono_cairo_pdf_surface_emit_scaled_font_subset
#define _cairo_pdf_surface_emit_stitched_colorgradient _mono_cairo_pdf_surface_emit_stitched_colorgradient
#define _cairo_pdf_surface_emit_surface_pattern _mono_cairo_pdf_surface_emit_surface_pattern
#define _cairo_pdf_surface_emit_to_unicode_stream _mono_cairo_pdf_surface_emit_to_unicode_stream
#define _cairo_pdf_surface_emit_type1_font _mono_cairo_pdf_surface_emit_type1_font
#define _cairo_pdf_surface_emit_unscaled_font_subset _mono_cairo_pdf_surface_emit_unscaled_font_subset
#define _cairo_pdf_surface_fill _mono_cairo_pdf_surface_fill
#define _cairo_pdf_surface_fill_stroke _mono_cairo_pdf_surface_fill_stroke
#define _cairo_pdf_surface_finish _mono_cairo_pdf_surface_finish
#define _cairo_pdf_surface_get_extents _mono_cairo_pdf_surface_get_extents
#define _cairo_pdf_surface_get_font_options _mono_cairo_pdf_surface_get_font_options
#define _cairo_pdf_surface_get_font_resource _mono_cairo_pdf_surface_get_font_resource
#define _cairo_pdf_surface_intersect_clip_path _mono_cairo_pdf_surface_intersect_clip_path
#define _cairo_pdf_surface_mask _mono_cairo_pdf_surface_mask
#define _cairo_pdf_surface_new_object _mono_cairo_pdf_surface_new_object
#define _cairo_pdf_surface_open_content_stream _mono_cairo_pdf_surface_open_content_stream
#define _cairo_pdf_surface_open_group _mono_cairo_pdf_surface_open_group
#define _cairo_pdf_surface_open_stream _mono_cairo_pdf_surface_open_stream
#define _cairo_pdf_surface_operation_supported _mono_cairo_pdf_surface_operation_supported
#define _cairo_pdf_surface_paint _mono_cairo_pdf_surface_paint
#define _cairo_pdf_surface_select_pattern _mono_cairo_pdf_surface_select_pattern
#define _cairo_pdf_surface_set_paginated_mode _mono_cairo_pdf_surface_set_paginated_mode
#define _cairo_pdf_surface_set_size_internal _mono_cairo_pdf_surface_set_size_internal
#define _cairo_pdf_surface_show_glyphs _mono_cairo_pdf_surface_show_glyphs
#define _cairo_pdf_surface_show_page _mono_cairo_pdf_surface_show_page
#define _cairo_pdf_surface_start_fallback _mono_cairo_pdf_surface_start_fallback
#define _cairo_pdf_surface_start_page _mono_cairo_pdf_surface_start_page
#define _cairo_pdf_surface_stroke _mono_cairo_pdf_surface_stroke
#define _cairo_pdf_surface_unselect_pattern _mono_cairo_pdf_surface_unselect_pattern
#define _cairo_pdf_surface_update_object _mono_cairo_pdf_surface_update_object
#define _cairo_pen_add_points _mono_cairo_pen_add_points
#define _cairo_pen_compute_slopes _mono_cairo_pen_compute_slopes
#define _cairo_pen_find_active_ccw_vertex_index _mono_cairo_pen_find_active_ccw_vertex_index
#define _cairo_pen_find_active_cw_vertex_index _mono_cairo_pen_find_active_cw_vertex_index
#define _cairo_pen_fini _mono_cairo_pen_fini
#define _cairo_pen_init _mono_cairo_pen_init
#define _cairo_pen_init_copy _mono_cairo_pen_init_copy
#define _cairo_pen_init_empty _mono_cairo_pen_init_empty
#define _cairo_pen_stroke_spline _mono_cairo_pen_stroke_spline
#define _cairo_pen_stroke_spline_half _mono_cairo_pen_stroke_spline_half
#define _cairo_polygon_add_edge _mono_cairo_polygon_add_edge
#define _cairo_polygon_close _mono_cairo_polygon_close
#define _cairo_polygon_fini _mono_cairo_polygon_fini
#define _cairo_polygon_init _mono_cairo_polygon_init
#define _cairo_polygon_line_to _mono_cairo_polygon_line_to
#define _cairo_polygon_move_to _mono_cairo_polygon_move_to
#define _cairo_polygon_status _mono_cairo_polygon_status
#define _cairo_ps_level_strings _mono_cairo_ps_level_strings
#define _cairo_ps_levels _mono_cairo_ps_levels
#define _cairo_ps_surface_acquire_surface _mono_cairo_ps_surface_acquire_surface
#define _cairo_ps_surface_analyze_operation _mono_cairo_ps_surface_analyze_operation
#define _cairo_ps_surface_create_for_stream_internal _mono_cairo_ps_surface_create_for_stream_internal
#define _cairo_ps_surface_create_similar _mono_cairo_ps_surface_create_similar
#define _cairo_ps_surface_emit_base85_string _mono_cairo_ps_surface_emit_base85_string
#define _cairo_ps_surface_emit_body _mono_cairo_ps_surface_emit_body
#define _cairo_ps_surface_emit_linear_colorgradient _mono_cairo_ps_surface_emit_linear_colorgradient
#define _cairo_ps_surface_emit_pattern _mono_cairo_ps_surface_emit_pattern
#define _cairo_ps_surface_emit_pattern_stops _mono_cairo_ps_surface_emit_pattern_stops
#define _cairo_ps_surface_emit_scaled_font_subset _mono_cairo_ps_surface_emit_scaled_font_subset
#define _cairo_ps_surface_emit_surface _mono_cairo_ps_surface_emit_surface
#define _cairo_ps_surface_emit_unscaled_font_subset _mono_cairo_ps_surface_emit_unscaled_font_subset
#define _cairo_ps_surface_fill _mono_cairo_ps_surface_fill
#define _cairo_ps_surface_finish _mono_cairo_ps_surface_finish
#define _cairo_ps_surface_flatten_transparency _mono_cairo_ps_surface_flatten_transparency
#define _cairo_ps_surface_get_extents _mono_cairo_ps_surface_get_extents
#define _cairo_ps_surface_get_font_options _mono_cairo_ps_surface_get_font_options
#define _cairo_ps_surface_intersect_clip_path _mono_cairo_ps_surface_intersect_clip_path
#define _cairo_ps_surface_operation_supported _mono_cairo_ps_surface_operation_supported
#define _cairo_ps_surface_paint _mono_cairo_ps_surface_paint
#define _cairo_ps_surface_paint_surface _mono_cairo_ps_surface_paint_surface
#define _cairo_ps_surface_set_bounding_box _mono_cairo_ps_surface_set_bounding_box
#define _cairo_ps_surface_set_paginated_mode _mono_cairo_ps_surface_set_paginated_mode
#define _cairo_ps_surface_show_glyphs _mono_cairo_ps_surface_show_glyphs
#define _cairo_ps_surface_show_page _mono_cairo_ps_surface_show_page
#define _cairo_ps_surface_start_page _mono_cairo_ps_surface_start_page
#define _cairo_ps_surface_stroke _mono_cairo_ps_surface_stroke
#define _cairo_rectangle_intersect _mono_cairo_rectangle_intersect
#define _cairo_rectangles_nil _mono_cairo_rectangles_nil
#define _cairo_rectangles_not_representable _mono_cairo_rectangles_not_representable
#define _cairo_rectilinear_stroker_close_path _mono_cairo_rectilinear_stroker_close_path
#define _cairo_rectilinear_stroker_emit_segments _mono_cairo_rectilinear_stroker_emit_segments
#define _cairo_rectilinear_stroker_line_to _mono_cairo_rectilinear_stroker_line_to
#define _cairo_rectilinear_stroker_move_to _mono_cairo_rectilinear_stroker_move_to
#define _cairo_region_boxes_fini _mono_cairo_region_boxes_fini
#define _cairo_region_contains_rectangle _mono_cairo_region_contains_rectangle
#define _cairo_region_copy _mono_cairo_region_copy
#define _cairo_region_fini _mono_cairo_region_fini
#define _cairo_region_get_boxes _mono_cairo_region_get_boxes
#define _cairo_region_get_extents _mono_cairo_region_get_extents
#define _cairo_region_init _mono_cairo_region_init
#define _cairo_region_init_boxes _mono_cairo_region_init_boxes
#define _cairo_region_init_rect _mono_cairo_region_init_rect
#define _cairo_region_intersect _mono_cairo_region_intersect
#define _cairo_region_not_empty _mono_cairo_region_not_empty
#define _cairo_region_num_boxes _mono_cairo_region_num_boxes
#define _cairo_region_subtract _mono_cairo_region_subtract
#define _cairo_region_translate _mono_cairo_region_translate
#define _cairo_region_union_rect _mono_cairo_region_union_rect
#define _cairo_restrict_value _mono_cairo_restrict_value
#define _cairo_scaled_font_create_in_error _mono_cairo_scaled_font_create_in_error
#define _cairo_scaled_font_error_mutex _mono_cairo_scaled_font_error_mutex
#define _cairo_scaled_font_fini _mono_cairo_scaled_font_fini
#define _cairo_scaled_font_freeze_cache _mono_cairo_scaled_font_freeze_cache
#define _cairo_scaled_font_glyph_device_extents _mono_cairo_scaled_font_glyph_device_extents
#define _cairo_scaled_font_glyph_path _mono_cairo_scaled_font_glyph_path
#define _cairo_scaled_font_init _mono_cairo_scaled_font_init
#define _cairo_scaled_font_init_key _mono_cairo_scaled_font_init_key
#define _cairo_scaled_font_is_ft _mono_cairo_scaled_font_is_ft
#define _cairo_scaled_font_keys_equal _mono_cairo_scaled_font_keys_equal
#define _cairo_scaled_font_map_destroy _mono_cairo_scaled_font_map_destroy
#define _cairo_scaled_font_map_lock _mono_cairo_scaled_font_map_lock
#define _cairo_scaled_font_map_mutex _mono_cairo_scaled_font_map_mutex
#define _cairo_scaled_font_map_unlock _mono_cairo_scaled_font_map_unlock
#define _cairo_scaled_font_nil _mono_cairo_scaled_font_nil
#define _cairo_scaled_font_nil_objects _mono_cairo_scaled_font_nil_objects
#define _cairo_scaled_font_reset_cache _mono_cairo_scaled_font_reset_cache
#define _cairo_scaled_font_reset_static_data _mono_cairo_scaled_font_reset_static_data
#define _cairo_scaled_font_set_error _mono_cairo_scaled_font_set_error
#define _cairo_scaled_font_set_metrics _mono_cairo_scaled_font_set_metrics
#define _cairo_scaled_font_show_glyphs _mono_cairo_scaled_font_show_glyphs
#define _cairo_scaled_font_subset_create_glyph_names _mono_cairo_scaled_font_subset_create_glyph_names
#define _cairo_scaled_font_subsets_create_composite _mono_cairo_scaled_font_subsets_create_composite
#define _cairo_scaled_font_subsets_create_internal _mono_cairo_scaled_font_subsets_create_internal
#define _cairo_scaled_font_subsets_create_scaled _mono_cairo_scaled_font_subsets_create_scaled
#define _cairo_scaled_font_subsets_create_simple _mono_cairo_scaled_font_subsets_create_simple
#define _cairo_scaled_font_subsets_destroy _mono_cairo_scaled_font_subsets_destroy
#define _cairo_scaled_font_subsets_foreach_internal _mono_cairo_scaled_font_subsets_foreach_internal
#define _cairo_scaled_font_subsets_foreach_scaled _mono_cairo_scaled_font_subsets_foreach_scaled
#define _cairo_scaled_font_subsets_foreach_unscaled _mono_cairo_scaled_font_subsets_foreach_unscaled
#define _cairo_scaled_font_subsets_map_glyph _mono_cairo_scaled_font_subsets_map_glyph
#define _cairo_scaled_font_text_to_glyphs _mono_cairo_scaled_font_text_to_glyphs
#define _cairo_scaled_font_thaw_cache _mono_cairo_scaled_font_thaw_cache
#define _cairo_scaled_glyph_destroy _mono_cairo_scaled_glyph_destroy
#define _cairo_scaled_glyph_keys_equal _mono_cairo_scaled_glyph_keys_equal
#define _cairo_scaled_glyph_lookup _mono_cairo_scaled_glyph_lookup
#define _cairo_scaled_glyph_set_metrics _mono_cairo_scaled_glyph_set_metrics
#define _cairo_scaled_glyph_set_path _mono_cairo_scaled_glyph_set_path
#define _cairo_scaled_glyph_set_surface _mono_cairo_scaled_glyph_set_surface
#define _cairo_set_error _mono_cairo_set_error
#define _cairo_skip_list_delete _mono_cairo_skip_list_delete
#define _cairo_skip_list_delete_given _mono_cairo_skip_list_delete_given
#define _cairo_skip_list_find _mono_cairo_skip_list_find
#define _cairo_skip_list_fini _mono_cairo_skip_list_fini
#define _cairo_skip_list_init _mono_cairo_skip_list_init
#define _cairo_skip_list_insert _mono_cairo_skip_list_insert
#define _cairo_slope_compare _mono_cairo_slope_compare
#define _cairo_slope_compare_sgn _mono_cairo_slope_compare_sgn
#define _cairo_slope_init _mono_cairo_slope_init
#define _cairo_spline_add_point _mono_cairo_spline_add_point
#define _cairo_spline_decompose _mono_cairo_spline_decompose
#define _cairo_spline_decompose_into _mono_cairo_spline_decompose_into
#define _cairo_spline_fini _mono_cairo_spline_fini
#define _cairo_spline_init _mono_cairo_spline_init
#define _cairo_stock_color _mono_cairo_stock_color
#define _cairo_string_equal _mono_cairo_string_equal
#define _cairo_string_init_key _mono_cairo_string_init_key
#define _cairo_stroke_style_fini _mono_cairo_stroke_style_fini
#define _cairo_stroke_style_init _mono_cairo_stroke_style_init
#define _cairo_stroke_style_init_copy _mono_cairo_stroke_style_init_copy
#define _cairo_stroke_style_max_distance_from_path _mono_cairo_stroke_style_max_distance_from_path
#define _cairo_stroker_add_cap _mono_cairo_stroker_add_cap
#define _cairo_stroker_add_caps _mono_cairo_stroker_add_caps
#define _cairo_stroker_add_leading_cap _mono_cairo_stroker_add_leading_cap
#define _cairo_stroker_add_sub_edge _mono_cairo_stroker_add_sub_edge
#define _cairo_stroker_add_trailing_cap _mono_cairo_stroker_add_trailing_cap
#define _cairo_stroker_close_path _mono_cairo_stroker_close_path
#define _cairo_stroker_curve_to _mono_cairo_stroker_curve_to
#define _cairo_stroker_curve_to_dashed _mono_cairo_stroker_curve_to_dashed
#define _cairo_stroker_join _mono_cairo_stroker_join
#define _cairo_stroker_line_to _mono_cairo_stroker_line_to
#define _cairo_stroker_line_to_dashed _mono_cairo_stroker_line_to_dashed
#define _cairo_stroker_move_to _mono_cairo_stroker_move_to
#define _cairo_stroker_move_to_dashed _mono_cairo_stroker_move_to_dashed
#define _cairo_stroker_start_dash _mono_cairo_stroker_start_dash
#define _cairo_sub_font_collect _mono_cairo_sub_font_collect
#define _cairo_sub_font_create _mono_cairo_sub_font_create
#define _cairo_sub_font_destroy _mono_cairo_sub_font_destroy
#define _cairo_sub_font_glyph_collect _mono_cairo_sub_font_glyph_collect
#define _cairo_sub_font_glyph_destroy _mono_cairo_sub_font_glyph_destroy
#define _cairo_sub_font_glyph_init_key _mono_cairo_sub_font_glyph_init_key
#define _cairo_sub_font_glyph_pluck _mono_cairo_sub_font_glyph_pluck
#define _cairo_sub_font_glyphs_equal _mono_cairo_sub_font_glyphs_equal
#define _cairo_sub_font_init_key _mono_cairo_sub_font_init_key
#define _cairo_sub_font_lookup_glyph _mono_cairo_sub_font_lookup_glyph
#define _cairo_sub_font_map_glyph _mono_cairo_sub_font_map_glyph
#define _cairo_sub_font_pluck _mono_cairo_sub_font_pluck
#define _cairo_sub_fonts_equal _mono_cairo_sub_fonts_equal
#define _cairo_surface_acquire_dest_image _mono_cairo_surface_acquire_dest_image
#define _cairo_surface_acquire_source_image _mono_cairo_surface_acquire_source_image
#define _cairo_surface_allocate_clip_serial _mono_cairo_surface_allocate_clip_serial
#define _cairo_surface_clone_similar _mono_cairo_surface_clone_similar
#define _cairo_surface_composite _mono_cairo_surface_composite
#define _cairo_surface_composite_fixup_unbounded _mono_cairo_surface_composite_fixup_unbounded
#define _cairo_surface_composite_fixup_unbounded_internal _mono_cairo_surface_composite_fixup_unbounded_internal
#define _cairo_surface_composite_shape_fixup_unbounded _mono_cairo_surface_composite_shape_fixup_unbounded
#define _cairo_surface_composite_trapezoids _mono_cairo_surface_composite_trapezoids
#define _cairo_surface_copy_pattern_for_destination _mono_cairo_surface_copy_pattern_for_destination
#define _cairo_surface_create_in_error _mono_cairo_surface_create_in_error
#define _cairo_surface_create_similar_scratch _mono_cairo_surface_create_similar_scratch
#define _cairo_surface_create_similar_solid _mono_cairo_surface_create_similar_solid
#define _cairo_surface_fallback_clone_similar _mono_cairo_surface_fallback_clone_similar
#define _cairo_surface_fallback_composite _mono_cairo_surface_fallback_composite
#define _cairo_surface_fallback_composite_trapezoids _mono_cairo_surface_fallback_composite_trapezoids
#define _cairo_surface_fallback_fill _mono_cairo_surface_fallback_fill
#define _cairo_surface_fallback_fill_rectangles _mono_cairo_surface_fallback_fill_rectangles
#define _cairo_surface_fallback_mask _mono_cairo_surface_fallback_mask
#define _cairo_surface_fallback_paint _mono_cairo_surface_fallback_paint
#define _cairo_surface_fallback_show_glyphs _mono_cairo_surface_fallback_show_glyphs
#define _cairo_surface_fallback_snapshot _mono_cairo_surface_fallback_snapshot
#define _cairo_surface_fallback_stroke _mono_cairo_surface_fallback_stroke
#define _cairo_surface_fill _mono_cairo_surface_fill
#define _cairo_surface_fill_rectangle _mono_cairo_surface_fill_rectangle
#define _cairo_surface_fill_rectangles _mono_cairo_surface_fill_rectangles
#define _cairo_surface_fill_region _mono_cairo_surface_fill_region
#define _cairo_surface_fill_stroke _mono_cairo_surface_fill_stroke
#define _cairo_surface_get_clip _mono_cairo_surface_get_clip
#define _cairo_surface_get_clip_mode _mono_cairo_surface_get_clip_mode
#define _cairo_surface_get_current_clip_serial _mono_cairo_surface_get_current_clip_serial
#define _cairo_surface_get_extents _mono_cairo_surface_get_extents
#define _cairo_surface_has_device_transform _mono_cairo_surface_has_device_transform
#define _cairo_surface_init _mono_cairo_surface_init
#define _cairo_surface_intersect_clip_path _mono_cairo_surface_intersect_clip_path
#define _cairo_surface_is_image _mono_cairo_surface_is_image
#define _cairo_surface_is_meta _mono_cairo_surface_is_meta
#define _cairo_surface_is_paginated _mono_cairo_surface_is_paginated
#define _cairo_surface_is_similar _mono_cairo_surface_is_similar
#define _cairo_surface_is_xlib _mono_cairo_surface_is_xlib
#define _cairo_surface_mask _mono_cairo_surface_mask
#define _cairo_surface_mask_draw_func _mono_cairo_surface_mask_draw_func
#define _cairo_surface_nil _mono_cairo_surface_nil
#define _cairo_surface_nil_file_not_found _mono_cairo_surface_nil_file_not_found
#define _cairo_surface_nil_invalid_content _mono_cairo_surface_nil_invalid_content
#define _cairo_surface_nil_invalid_format _mono_cairo_surface_nil_invalid_format
#define _cairo_surface_nil_invalid_stride _mono_cairo_surface_nil_invalid_stride
#define _cairo_surface_nil_invalid_visual _mono_cairo_surface_nil_invalid_visual
#define _cairo_surface_nil_read_error _mono_cairo_surface_nil_read_error
#define _cairo_surface_nil_temp_file_error _mono_cairo_surface_nil_temp_file_error
#define _cairo_surface_nil_write_error _mono_cairo_surface_nil_write_error
#define _cairo_surface_old_show_glyphs _mono_cairo_surface_old_show_glyphs
#define _cairo_surface_old_show_glyphs_draw_func _mono_cairo_surface_old_show_glyphs_draw_func
#define _cairo_surface_paint _mono_cairo_surface_paint
#define _cairo_surface_release_dest_image _mono_cairo_surface_release_dest_image
#define _cairo_surface_release_source_image _mono_cairo_surface_release_source_image
#define _cairo_surface_reset _mono_cairo_surface_reset
#define _cairo_surface_reset_clip _mono_cairo_surface_reset_clip
#define _cairo_surface_set_clip _mono_cairo_surface_set_clip
#define _cairo_surface_set_clip_path_recursive _mono_cairo_surface_set_clip_path_recursive
#define _cairo_surface_set_clip_region _mono_cairo_surface_set_clip_region
#define _cairo_surface_set_device_scale _mono_cairo_surface_set_device_scale
#define _cairo_surface_set_empty_clip_path _mono_cairo_surface_set_empty_clip_path
#define _cairo_surface_set_error _mono_cairo_surface_set_error
#define _cairo_surface_set_font_options _mono_cairo_surface_set_font_options
#define _cairo_surface_set_resolution _mono_cairo_surface_set_resolution
#define _cairo_surface_show_glyphs _mono_cairo_surface_show_glyphs
#define _cairo_surface_snapshot _mono_cairo_surface_snapshot
#define _cairo_surface_stroke _mono_cairo_surface_stroke
#define _cairo_svg_document_destroy _mono_cairo_svg_document_destroy
#define _cairo_svg_document_emit_font_subset _mono_cairo_svg_document_emit_font_subset
#define _cairo_svg_document_finish _mono_cairo_svg_document_finish
#define _cairo_svg_internal_version_strings _mono_cairo_svg_internal_version_strings
#define _cairo_svg_path_close_path _mono_cairo_svg_path_close_path
#define _cairo_svg_path_curve_to _mono_cairo_svg_path_curve_to
#define _cairo_svg_path_line_to _mono_cairo_svg_path_line_to
#define _cairo_svg_path_move_to _mono_cairo_svg_path_move_to
#define _cairo_svg_surface_analyze_operation _mono_cairo_svg_surface_analyze_operation
#define _cairo_svg_surface_copy_page _mono_cairo_svg_surface_copy_page
#define _cairo_svg_surface_create_for_document _mono_cairo_svg_surface_create_for_document
#define _cairo_svg_surface_create_for_stream_internal _mono_cairo_svg_surface_create_for_stream_internal
#define _cairo_svg_surface_create_similar _mono_cairo_svg_surface_create_similar
#define _cairo_svg_surface_emit_alpha_filter _mono_cairo_svg_surface_emit_alpha_filter
#define _cairo_svg_surface_emit_composite_pattern _mono_cairo_svg_surface_emit_composite_pattern
#define _cairo_svg_surface_emit_fill_style _mono_cairo_svg_surface_emit_fill_style
#define _cairo_svg_surface_emit_operator _mono_cairo_svg_surface_emit_operator
#define _cairo_svg_surface_emit_paint _mono_cairo_svg_surface_emit_paint
#define _cairo_svg_surface_emit_path _mono_cairo_svg_surface_emit_path
#define _cairo_svg_surface_emit_pattern _mono_cairo_svg_surface_emit_pattern
#define _cairo_svg_surface_emit_pattern_extend _mono_cairo_svg_surface_emit_pattern_extend
#define _cairo_svg_surface_emit_pattern_stops _mono_cairo_svg_surface_emit_pattern_stops
#define _cairo_svg_surface_emit_stroke_style _mono_cairo_svg_surface_emit_stroke_style
#define _cairo_svg_surface_emit_transform _mono_cairo_svg_surface_emit_transform
#define _cairo_svg_surface_fill _mono_cairo_svg_surface_fill
#define _cairo_svg_surface_fill_stroke _mono_cairo_svg_surface_fill_stroke
#define _cairo_svg_surface_finish _mono_cairo_svg_surface_finish
#define _cairo_svg_surface_get_extents _mono_cairo_svg_surface_get_extents
#define _cairo_svg_surface_get_font_options _mono_cairo_svg_surface_get_font_options
#define _cairo_svg_surface_intersect_clip_path _mono_cairo_svg_surface_intersect_clip_path
#define _cairo_svg_surface_mask _mono_cairo_svg_surface_mask
#define _cairo_svg_surface_operation_supported _mono_cairo_svg_surface_operation_supported
#define _cairo_svg_surface_paint _mono_cairo_svg_surface_paint
#define _cairo_svg_surface_set_paginated_mode _mono_cairo_svg_surface_set_paginated_mode
#define _cairo_svg_surface_show_glyphs _mono_cairo_svg_surface_show_glyphs
#define _cairo_svg_surface_show_page _mono_cairo_svg_surface_show_page
#define _cairo_svg_surface_store_page _mono_cairo_svg_surface_store_page
#define _cairo_svg_surface_stroke _mono_cairo_svg_surface_stroke
#define _cairo_svg_version_strings _mono_cairo_svg_version_strings
#define _cairo_svg_versions _mono_cairo_svg_versions
#define _cairo_toy_font_face_backend _mono_cairo_toy_font_face_backend
#define _cairo_toy_font_face_create _mono_cairo_toy_font_face_create
#define _cairo_toy_font_face_destroy _mono_cairo_toy_font_face_destroy
#define _cairo_toy_font_face_fini _mono_cairo_toy_font_face_fini
#define _cairo_toy_font_face_hash_table_lock _mono_cairo_toy_font_face_hash_table_lock
#define _cairo_toy_font_face_hash_table_unlock _mono_cairo_toy_font_face_hash_table_unlock
#define _cairo_toy_font_face_init_key _mono_cairo_toy_font_face_init_key
#define _cairo_toy_font_face_keys_equal _mono_cairo_toy_font_face_keys_equal
#define _cairo_toy_font_face_scaled_font_create _mono_cairo_toy_font_face_scaled_font_create
#define _cairo_trapezoid_array_translate_and_scale _mono_cairo_trapezoid_array_translate_and_scale
#define _cairo_traps_add_trap_from_points _mono_cairo_traps_add_trap_from_points
#define _cairo_traps_contain _mono_cairo_traps_contain
#define _cairo_traps_extents _mono_cairo_traps_extents
#define _cairo_traps_extract_region _mono_cairo_traps_extract_region
#define _cairo_traps_fini _mono_cairo_traps_fini
#define _cairo_traps_get_limit _mono_cairo_traps_get_limit
#define _cairo_traps_init _mono_cairo_traps_init
#define _cairo_traps_init_box _mono_cairo_traps_init_box
#define _cairo_traps_limit _mono_cairo_traps_limit
#define _cairo_traps_status _mono_cairo_traps_status
#define _cairo_traps_tessellate_convex_quad _mono_cairo_traps_tessellate_convex_quad
#define _cairo_traps_tessellate_triangle _mono_cairo_traps_tessellate_triangle
#define _cairo_traps_translate _mono_cairo_traps_translate
#define _cairo_truetype_create_glyph_to_unicode_map _mono_cairo_truetype_create_glyph_to_unicode_map
#define _cairo_truetype_font_set_error _mono_cairo_truetype_font_set_error
#define _cairo_truetype_subset_fini _mono_cairo_truetype_subset_fini
#define _cairo_truetype_subset_init _mono_cairo_truetype_subset_init
#define _cairo_type1_fallback_fini _mono_cairo_type1_fallback_fini
#define _cairo_type1_fallback_init_binary _mono_cairo_type1_fallback_init_binary
#define _cairo_type1_fallback_init_hex _mono_cairo_type1_fallback_init_hex
#define _cairo_type1_fallback_init_internal _mono_cairo_type1_fallback_init_internal
#define _cairo_type1_scaled_font_is_type1 _mono_cairo_type1_scaled_font_is_type1
#define _cairo_type1_subset_fini _mono_cairo_type1_subset_fini
#define _cairo_type1_subset_init _mono_cairo_type1_subset_init
#define _cairo_type2_charstrings_fini _mono_cairo_type2_charstrings_fini
#define _cairo_type2_charstrings_init _mono_cairo_type2_charstrings_init
#define _cairo_uint128_add _mono_cairo_uint128_add
#define _cairo_uint128_divrem _mono_cairo_uint128_divrem
#define _cairo_uint128_eq _mono_cairo_uint128_eq
#define _cairo_uint128_lsl _mono_cairo_uint128_lsl
#define _cairo_uint128_lt _mono_cairo_uint128_lt
#define _cairo_uint128_mul _mono_cairo_uint128_mul
#define _cairo_uint128_negate _mono_cairo_uint128_negate
#define _cairo_uint128_not _mono_cairo_uint128_not
#define _cairo_uint128_rsa _mono_cairo_uint128_rsa
#define _cairo_uint128_rsl _mono_cairo_uint128_rsl
#define _cairo_uint128_sub _mono_cairo_uint128_sub
#define _cairo_uint32_to_uint128 _mono_cairo_uint32_to_uint128
#define _cairo_uint64_divrem _mono_cairo_uint64_divrem
#define _cairo_uint64_to_uint128 _mono_cairo_uint64_to_uint128
#define _cairo_uint64x64_128_mul _mono_cairo_uint64x64_128_mul
#define _cairo_uint_96by64_32x64_divrem _mono_cairo_uint_96by64_32x64_divrem
#define _cairo_unscaled_font_destroy _mono_cairo_unscaled_font_destroy
#define _cairo_unscaled_font_init _mono_cairo_unscaled_font_init
#define _cairo_unscaled_font_is_ft _mono_cairo_unscaled_font_is_ft
#define _cairo_unscaled_font_reference _mono_cairo_unscaled_font_reference
#define _cairo_user_data_array_fini _mono_cairo_user_data_array_fini
#define _cairo_user_data_array_get_data _mono_cairo_user_data_array_get_data
#define _cairo_user_data_array_init _mono_cairo_user_data_array_init
#define _cairo_user_data_array_set_data _mono_cairo_user_data_array_set_data
#define _cairo_utf8_to_ucs4 _mono_cairo_utf8_to_ucs4
#define _cairo_xlib_add_close_display_hook _mono_cairo_xlib_add_close_display_hook
#define _cairo_xlib_close_display _mono_cairo_xlib_close_display
#define _cairo_xlib_display_destroy _mono_cairo_xlib_display_destroy
#define _cairo_xlib_display_get _mono_cairo_xlib_display_get
#define _cairo_xlib_display_list _mono_cairo_xlib_display_list
#define _cairo_xlib_display_mutex _mono_cairo_xlib_display_mutex
#define _cairo_xlib_display_notify _mono_cairo_xlib_display_notify
#define _cairo_xlib_display_queue_resource _mono_cairo_xlib_display_queue_resource
#define _cairo_xlib_display_queue_work _mono_cairo_xlib_display_queue_work
#define _cairo_xlib_display_reference _mono_cairo_xlib_display_reference
#define _cairo_xlib_remove_close_display_hooks _mono_cairo_xlib_remove_close_display_hooks
#define _cairo_xlib_render_free_glyphs _mono_cairo_xlib_render_free_glyphs
#define _cairo_xlib_scaled_glyph_get_glyphset_info _mono_cairo_xlib_scaled_glyph_get_glyphset_info
#define _cairo_xlib_screen_get_gc _mono_cairo_xlib_screen_get_gc
#define _cairo_xlib_screen_get_visual_info _mono_cairo_xlib_screen_get_visual_info
#define _cairo_xlib_screen_info_close_display _mono_cairo_xlib_screen_info_close_display
#define _cairo_xlib_screen_info_destroy _mono_cairo_xlib_screen_info_destroy
#define _cairo_xlib_screen_info_get _mono_cairo_xlib_screen_info_get
#define _cairo_xlib_screen_info_reference _mono_cairo_xlib_screen_info_reference
#define _cairo_xlib_screen_put_gc _mono_cairo_xlib_screen_put_gc
#define _cairo_xlib_surface_acquire_dest_image _mono_cairo_xlib_surface_acquire_dest_image
#define _cairo_xlib_surface_acquire_source_image _mono_cairo_xlib_surface_acquire_source_image
#define _cairo_xlib_surface_clone_similar _mono_cairo_xlib_surface_clone_similar
#define _cairo_xlib_surface_composite _mono_cairo_xlib_surface_composite
#define _cairo_xlib_surface_composite_trapezoids _mono_cairo_xlib_surface_composite_trapezoids
#define _cairo_xlib_surface_create_internal _mono_cairo_xlib_surface_create_internal
#define _cairo_xlib_surface_create_similar _mono_cairo_xlib_surface_create_similar
#define _cairo_xlib_surface_create_similar_with_format _mono_cairo_xlib_surface_create_similar_with_format
#define _cairo_xlib_surface_detach_display _mono_cairo_xlib_surface_detach_display
#define _cairo_xlib_surface_emit_glyphs_chunk _mono_cairo_xlib_surface_emit_glyphs_chunk
#define _cairo_xlib_surface_ensure_dst_picture _mono_cairo_xlib_surface_ensure_dst_picture
#define _cairo_xlib_surface_ensure_gc _mono_cairo_xlib_surface_ensure_gc
#define _cairo_xlib_surface_fill_rectangles _mono_cairo_xlib_surface_fill_rectangles
#define _cairo_xlib_surface_finish _mono_cairo_xlib_surface_finish
#define _cairo_xlib_surface_get_extents _mono_cairo_xlib_surface_get_extents
#define _cairo_xlib_surface_get_font_options _mono_cairo_xlib_surface_get_font_options
#define _cairo_xlib_surface_is_similar _mono_cairo_xlib_surface_is_similar
#define _cairo_xlib_surface_release_dest_image _mono_cairo_xlib_surface_release_dest_image
#define _cairo_xlib_surface_release_source_image _mono_cairo_xlib_surface_release_source_image
#define _cairo_xlib_surface_remove_scaled_font _mono_cairo_xlib_surface_remove_scaled_font
#define _cairo_xlib_surface_reset _mono_cairo_xlib_surface_reset
#define _cairo_xlib_surface_same_screen _mono_cairo_xlib_surface_same_screen
#define _cairo_xlib_surface_scaled_font_fini _mono_cairo_xlib_surface_scaled_font_fini
#define _cairo_xlib_surface_scaled_glyph_fini _mono_cairo_xlib_surface_scaled_glyph_fini
#define _cairo_xlib_surface_set_attributes _mono_cairo_xlib_surface_set_attributes
#define _cairo_xlib_surface_set_clip_region _mono_cairo_xlib_surface_set_clip_region
#define _cairo_xlib_surface_set_gc_clip_rects _mono_cairo_xlib_surface_set_gc_clip_rects
#define _cairo_xlib_surface_set_picture_clip_rects _mono_cairo_xlib_surface_set_picture_clip_rects
#define _cairo_xlib_surface_set_repeat _mono_cairo_xlib_surface_set_repeat
#define _cairo_xlib_surface_show_glyphs _mono_cairo_xlib_surface_show_glyphs
#define _cairo_xlib_visual_info_create _mono_cairo_xlib_visual_info_create
#define _cairo_xlib_visual_info_destroy _mono_cairo_xlib_visual_info_destroy
#define cairo_analysis_surface_backend mono_cairo_analysis_surface_backend
#define cairo_append_path mono_cairo_append_path
#define cairo_arc mono_cairo_arc
#define cairo_arc_negative mono_cairo_arc_negative
#define cairo_bo_event_compare_abstract mono_cairo_bo_event_compare_abstract
#define cairo_bo_event_compare_pointers mono_cairo_bo_event_compare_pointers
#define cairo_cff_font_create_cid_fontdict mono_cairo_cff_font_create_cid_fontdict
#define cairo_cff_font_destroy mono_cairo_cff_font_destroy
#define cairo_cff_font_read_global_subroutines mono_cairo_cff_font_read_global_subroutines
#define cairo_cff_font_read_header mono_cairo_cff_font_read_header
#define cairo_cff_font_read_name mono_cairo_cff_font_read_name
#define cairo_cff_font_read_private_dict mono_cairo_cff_font_read_private_dict
#define cairo_cff_font_read_strings mono_cairo_cff_font_read_strings
#define cairo_cff_font_read_top_dict mono_cairo_cff_font_read_top_dict
#define cairo_cff_font_set_ros_strings mono_cairo_cff_font_set_ros_strings
#define cairo_cff_font_set_topdict_operator_to_cur_pos mono_cairo_cff_font_set_topdict_operator_to_cur_pos
#define cairo_cff_font_subset_dict_strings mono_cairo_cff_font_subset_dict_strings
#define cairo_cff_font_write_charset mono_cairo_cff_font_write_charset
#define cairo_cff_font_write_charstrings mono_cairo_cff_font_write_charstrings
#define cairo_cff_font_write_cid_fontdict mono_cairo_cff_font_write_cid_fontdict
#define cairo_cff_font_write_cid_private_dict_and_local_sub mono_cairo_cff_font_write_cid_private_dict_and_local_sub
#define cairo_cff_font_write_fdselect mono_cairo_cff_font_write_fdselect
#define cairo_cff_font_write_global_subrs mono_cairo_cff_font_write_global_subrs
#define cairo_cff_font_write_header mono_cairo_cff_font_write_header
#define cairo_cff_font_write_local_sub mono_cairo_cff_font_write_local_sub
#define cairo_cff_font_write_name mono_cairo_cff_font_write_name
#define cairo_cff_font_write_private_dict mono_cairo_cff_font_write_private_dict
#define cairo_cff_font_write_strings mono_cairo_cff_font_write_strings
#define cairo_cff_font_write_subset mono_cairo_cff_font_write_subset
#define cairo_cff_font_write_top_dict mono_cairo_cff_font_write_top_dict
#define cairo_clip mono_cairo_clip
#define cairo_clip_extents mono_cairo_clip_extents
#define cairo_clip_preserve mono_cairo_clip_preserve
#define cairo_close_path mono_cairo_close_path
#define cairo_color_black mono_cairo_color_black
#define cairo_color_transparent mono_cairo_color_transparent
#define cairo_color_white mono_cairo_color_white
#define cairo_copy_clip_rectangle_list mono_cairo_copy_clip_rectangle_list
#define cairo_copy_page mono_cairo_copy_page
#define cairo_copy_path mono_cairo_copy_path
#define cairo_copy_path_flat mono_cairo_copy_path_flat
#define cairo_create mono_cairo_create
#define cairo_curve_to mono_cairo_curve_to
#define cairo_debug_reset_static_data mono_cairo_debug_reset_static_data
#define cairo_deflate_stream_deflate mono_cairo_deflate_stream_deflate
#define cairo_destroy mono_cairo_destroy
#define cairo_device_to_user mono_cairo_device_to_user
#define cairo_device_to_user_distance mono_cairo_device_to_user_distance
#define cairo_dict_write_operator mono_cairo_dict_write_operator
#define cairo_fill mono_cairo_fill
#define cairo_fill_extents mono_cairo_fill_extents
#define cairo_fill_preserve mono_cairo_fill_preserve
#define cairo_font_extents mono_cairo_font_extents
#define cairo_font_face_destroy mono_cairo_font_face_destroy
#define cairo_font_face_get_reference_count mono_cairo_font_face_get_reference_count
#define cairo_font_face_get_type mono_cairo_font_face_get_type
#define cairo_font_face_get_user_data mono_cairo_font_face_get_user_data
#define cairo_font_face_reference mono_cairo_font_face_reference
#define cairo_font_face_set_user_data mono_cairo_font_face_set_user_data
#define cairo_font_face_status mono_cairo_font_face_status
#define cairo_font_options_copy mono_cairo_font_options_copy
#define cairo_font_options_create mono_cairo_font_options_create
#define cairo_font_options_destroy mono_cairo_font_options_destroy
#define cairo_font_options_equal mono_cairo_font_options_equal
#define cairo_font_options_get_antialias mono_cairo_font_options_get_antialias
#define cairo_font_options_get_hint_metrics mono_cairo_font_options_get_hint_metrics
#define cairo_font_options_get_hint_style mono_cairo_font_options_get_hint_style
#define cairo_font_options_get_subpixel_order mono_cairo_font_options_get_subpixel_order
#define cairo_font_options_hash mono_cairo_font_options_hash
#define cairo_font_options_merge mono_cairo_font_options_merge
#define cairo_font_options_set_antialias mono_cairo_font_options_set_antialias
#define cairo_font_options_set_hint_metrics mono_cairo_font_options_set_hint_metrics
#define cairo_font_options_set_hint_style mono_cairo_font_options_set_hint_style
#define cairo_font_options_set_subpixel_order mono_cairo_font_options_set_subpixel_order
#define cairo_font_options_status mono_cairo_font_options_status
#define cairo_format_stride_for_width mono_cairo_format_stride_for_width
#define cairo_ft_font_face_create_for_ft_face mono_cairo_ft_font_face_create_for_ft_face
#define cairo_ft_font_face_create_for_pattern mono_cairo_ft_font_face_create_for_pattern
#define cairo_ft_font_options_substitute mono_cairo_ft_font_options_substitute
#define cairo_ft_scaled_font_backend mono_cairo_ft_scaled_font_backend
#define cairo_ft_scaled_font_lock_face mono_cairo_ft_scaled_font_lock_face
#define cairo_ft_scaled_font_unlock_face mono_cairo_ft_scaled_font_unlock_face
#define cairo_ft_unscaled_font_backend mono_cairo_ft_unscaled_font_backend
#define cairo_ft_unscaled_font_map mono_cairo_ft_unscaled_font_map
#define cairo_get_antialias mono_cairo_get_antialias
#define cairo_get_current_point mono_cairo_get_current_point
#define cairo_get_dash mono_cairo_get_dash
#define cairo_get_dash_count mono_cairo_get_dash_count
#define cairo_get_fill_rule mono_cairo_get_fill_rule
#define cairo_get_font_face mono_cairo_get_font_face
#define cairo_get_font_matrix mono_cairo_get_font_matrix
#define cairo_get_font_options mono_cairo_get_font_options
#define cairo_get_group_target mono_cairo_get_group_target
#define cairo_get_line_cap mono_cairo_get_line_cap
#define cairo_get_line_join mono_cairo_get_line_join
#define cairo_get_line_width mono_cairo_get_line_width
#define cairo_get_matrix mono_cairo_get_matrix
#define cairo_get_miter_limit mono_cairo_get_miter_limit
#define cairo_get_operator mono_cairo_get_operator
#define cairo_get_reference_count mono_cairo_get_reference_count
#define cairo_get_scaled_font mono_cairo_get_scaled_font
#define cairo_get_source mono_cairo_get_source
#define cairo_get_target mono_cairo_get_target
#define cairo_get_tolerance mono_cairo_get_tolerance
#define cairo_get_user_data mono_cairo_get_user_data
#define cairo_glyph_extents mono_cairo_glyph_extents
#define cairo_glyph_path mono_cairo_glyph_path
#define cairo_has_current_point mono_cairo_has_current_point
#define cairo_identity_matrix mono_cairo_identity_matrix
#define cairo_image_surface_backend mono_cairo_image_surface_backend
#define cairo_image_surface_create mono_cairo_image_surface_create
#define cairo_image_surface_create_for_data mono_cairo_image_surface_create_for_data
#define cairo_image_surface_create_from_png mono_cairo_image_surface_create_from_png
#define cairo_image_surface_create_from_png_stream mono_cairo_image_surface_create_from_png_stream
#define cairo_image_surface_get_data mono_cairo_image_surface_get_data
#define cairo_image_surface_get_format mono_cairo_image_surface_get_format
#define cairo_image_surface_get_height mono_cairo_image_surface_get_height
#define cairo_image_surface_get_stride mono_cairo_image_surface_get_stride
#define cairo_image_surface_get_width mono_cairo_image_surface_get_width
#define cairo_in_fill mono_cairo_in_fill
#define cairo_in_stroke mono_cairo_in_stroke
#define cairo_line_to mono_cairo_line_to
#define cairo_mask mono_cairo_mask
#define cairo_mask_surface mono_cairo_mask_surface
#define cairo_matrix_init mono_cairo_matrix_init
#define cairo_matrix_init_identity mono_cairo_matrix_init_identity
#define cairo_matrix_init_rotate mono_cairo_matrix_init_rotate
#define cairo_matrix_init_scale mono_cairo_matrix_init_scale
#define cairo_matrix_init_translate mono_cairo_matrix_init_translate
#define cairo_matrix_invert mono_cairo_matrix_invert
#define cairo_matrix_multiply mono_cairo_matrix_multiply
#define cairo_matrix_rotate mono_cairo_matrix_rotate
#define cairo_matrix_scale mono_cairo_matrix_scale
#define cairo_matrix_transform_distance mono_cairo_matrix_transform_distance
#define cairo_matrix_transform_point mono_cairo_matrix_transform_point
#define cairo_matrix_translate mono_cairo_matrix_translate
#define cairo_meta_surface_backend mono_cairo_meta_surface_backend
#define cairo_move_to mono_cairo_move_to
#define cairo_new_path mono_cairo_new_path
#define cairo_new_sub_path mono_cairo_new_sub_path
#define cairo_paginated_surface_backend mono_cairo_paginated_surface_backend
#define cairo_paint mono_cairo_paint
#define cairo_paint_with_alpha mono_cairo_paint_with_alpha
#define cairo_path_destroy mono_cairo_path_destroy
#define cairo_path_extents mono_cairo_path_extents
#define cairo_pattern_add_color_stop_rgb mono_cairo_pattern_add_color_stop_rgb
#define cairo_pattern_add_color_stop_rgba mono_cairo_pattern_add_color_stop_rgba
#define cairo_pattern_create_for_surface mono_cairo_pattern_create_for_surface
#define cairo_pattern_create_linear mono_cairo_pattern_create_linear
#define cairo_pattern_create_radial mono_cairo_pattern_create_radial
#define cairo_pattern_create_rgb mono_cairo_pattern_create_rgb
#define cairo_pattern_create_rgba mono_cairo_pattern_create_rgba
#define cairo_pattern_destroy mono_cairo_pattern_destroy
#define cairo_pattern_get_color_stop_count mono_cairo_pattern_get_color_stop_count
#define cairo_pattern_get_color_stop_rgba mono_cairo_pattern_get_color_stop_rgba
#define cairo_pattern_get_extend mono_cairo_pattern_get_extend
#define cairo_pattern_get_filter mono_cairo_pattern_get_filter
#define cairo_pattern_get_linear_points mono_cairo_pattern_get_linear_points
#define cairo_pattern_get_matrix mono_cairo_pattern_get_matrix
#define cairo_pattern_get_radial_circles mono_cairo_pattern_get_radial_circles
#define cairo_pattern_get_reference_count mono_cairo_pattern_get_reference_count
#define cairo_pattern_get_rgba mono_cairo_pattern_get_rgba
#define cairo_pattern_get_surface mono_cairo_pattern_get_surface
#define cairo_pattern_get_type mono_cairo_pattern_get_type
#define cairo_pattern_get_user_data mono_cairo_pattern_get_user_data
#define cairo_pattern_none mono_cairo_pattern_none
#define cairo_pattern_reference mono_cairo_pattern_reference
#define cairo_pattern_set_extend mono_cairo_pattern_set_extend
#define cairo_pattern_set_filter mono_cairo_pattern_set_filter
#define cairo_pattern_set_matrix mono_cairo_pattern_set_matrix
#define cairo_pattern_set_user_data mono_cairo_pattern_set_user_data
#define cairo_pattern_status mono_cairo_pattern_status
#define cairo_pdf_surface_backend mono_cairo_pdf_surface_backend
#define cairo_pdf_surface_create mono_cairo_pdf_surface_create
#define cairo_pdf_surface_create_for_stream mono_cairo_pdf_surface_create_for_stream
#define cairo_pdf_surface_emit_alpha_linear_function mono_cairo_pdf_surface_emit_alpha_linear_function
#define cairo_pdf_surface_emit_rgb_linear_function mono_cairo_pdf_surface_emit_rgb_linear_function
#define cairo_pdf_surface_emit_transparency_group mono_cairo_pdf_surface_emit_transparency_group
#define cairo_pdf_surface_paginated_backend mono_cairo_pdf_surface_paginated_backend
#define cairo_pdf_surface_set_size mono_cairo_pdf_surface_set_size
#define cairo_pop_group mono_cairo_pop_group
#define cairo_pop_group_to_source mono_cairo_pop_group_to_source
#define cairo_ps_get_levels mono_cairo_ps_get_levels
#define cairo_ps_level_to_string mono_cairo_ps_level_to_string
#define cairo_ps_surface_backend mono_cairo_ps_surface_backend
#define cairo_ps_surface_create mono_cairo_ps_surface_create
#define cairo_ps_surface_create_for_stream mono_cairo_ps_surface_create_for_stream
#define cairo_ps_surface_dsc_begin_page_setup mono_cairo_ps_surface_dsc_begin_page_setup
#define cairo_ps_surface_dsc_begin_setup mono_cairo_ps_surface_dsc_begin_setup
#define cairo_ps_surface_dsc_comment mono_cairo_ps_surface_dsc_comment
#define cairo_ps_surface_get_eps mono_cairo_ps_surface_get_eps
#define cairo_ps_surface_paginated_backend mono_cairo_ps_surface_paginated_backend
#define cairo_ps_surface_restrict_to_level mono_cairo_ps_surface_restrict_to_level
#define cairo_ps_surface_set_eps mono_cairo_ps_surface_set_eps
#define cairo_ps_surface_set_size mono_cairo_ps_surface_set_size
#define cairo_push_group mono_cairo_push_group
#define cairo_push_group_with_content mono_cairo_push_group_with_content
#define cairo_rectangle mono_cairo_rectangle
#define cairo_rectangle_list_destroy mono_cairo_rectangle_list_destroy
#define cairo_reference mono_cairo_reference
#define cairo_rel_curve_to mono_cairo_rel_curve_to
#define cairo_rel_line_to mono_cairo_rel_line_to
#define cairo_rel_move_to mono_cairo_rel_move_to
#define cairo_reset_clip mono_cairo_reset_clip
#define cairo_restore mono_cairo_restore
#define cairo_rotate mono_cairo_rotate
#define cairo_save mono_cairo_save
#define cairo_scale mono_cairo_scale
#define cairo_scaled_font_create mono_cairo_scaled_font_create
#define cairo_scaled_font_destroy mono_cairo_scaled_font_destroy
#define cairo_scaled_font_extents mono_cairo_scaled_font_extents
#define cairo_scaled_font_get_ctm mono_cairo_scaled_font_get_ctm
#define cairo_scaled_font_get_font_face mono_cairo_scaled_font_get_font_face
#define cairo_scaled_font_get_font_matrix mono_cairo_scaled_font_get_font_matrix
#define cairo_scaled_font_get_font_options mono_cairo_scaled_font_get_font_options
#define cairo_scaled_font_get_reference_count mono_cairo_scaled_font_get_reference_count
#define cairo_scaled_font_get_type mono_cairo_scaled_font_get_type
#define cairo_scaled_font_get_user_data mono_cairo_scaled_font_get_user_data
#define cairo_scaled_font_glyph_extents mono_cairo_scaled_font_glyph_extents
#define cairo_scaled_font_map mono_cairo_scaled_font_map
#define cairo_scaled_font_reference mono_cairo_scaled_font_reference
#define cairo_scaled_font_set_user_data mono_cairo_scaled_font_set_user_data
#define cairo_scaled_font_status mono_cairo_scaled_font_status
#define cairo_scaled_font_text_extents mono_cairo_scaled_font_text_extents
#define cairo_select_font_face mono_cairo_select_font_face
#define cairo_set_antialias mono_cairo_set_antialias
#define cairo_set_dash mono_cairo_set_dash
#define cairo_set_fill_rule mono_cairo_set_fill_rule
#define cairo_set_font_face mono_cairo_set_font_face
#define cairo_set_font_matrix mono_cairo_set_font_matrix
#define cairo_set_font_options mono_cairo_set_font_options
#define cairo_set_font_size mono_cairo_set_font_size
#define cairo_set_line_cap mono_cairo_set_line_cap
#define cairo_set_line_join mono_cairo_set_line_join
#define cairo_set_line_width mono_cairo_set_line_width
#define cairo_set_matrix mono_cairo_set_matrix
#define cairo_set_miter_limit mono_cairo_set_miter_limit
#define cairo_set_operator mono_cairo_set_operator
#define cairo_set_scaled_font mono_cairo_set_scaled_font
#define cairo_set_source mono_cairo_set_source
#define cairo_set_source_rgb mono_cairo_set_source_rgb
#define cairo_set_source_rgba mono_cairo_set_source_rgba
#define cairo_set_source_surface mono_cairo_set_source_surface
#define cairo_set_tolerance mono_cairo_set_tolerance
#define cairo_set_user_data mono_cairo_set_user_data
#define cairo_show_glyphs mono_cairo_show_glyphs
#define cairo_show_page mono_cairo_show_page
#define cairo_show_text mono_cairo_show_text
#define cairo_status mono_cairo_status
#define cairo_status_to_string mono_cairo_status_to_string
#define cairo_stroke mono_cairo_stroke
#define cairo_stroke_extents mono_cairo_stroke_extents
#define cairo_stroke_preserve mono_cairo_stroke_preserve
#define cairo_surface_copy_page mono_cairo_surface_copy_page
#define cairo_surface_create_similar mono_cairo_surface_create_similar
#define cairo_surface_destroy mono_cairo_surface_destroy
#define cairo_surface_finish mono_cairo_surface_finish
#define cairo_surface_flush mono_cairo_surface_flush
#define cairo_surface_get_content mono_cairo_surface_get_content
#define cairo_surface_get_device_offset mono_cairo_surface_get_device_offset
#define cairo_surface_get_font_options mono_cairo_surface_get_font_options
#define cairo_surface_get_reference_count mono_cairo_surface_get_reference_count
#define cairo_surface_get_type mono_cairo_surface_get_type
#define cairo_surface_get_user_data mono_cairo_surface_get_user_data
#define cairo_surface_mark_dirty mono_cairo_surface_mark_dirty
#define cairo_surface_mark_dirty_rectangle mono_cairo_surface_mark_dirty_rectangle
#define cairo_surface_reference mono_cairo_surface_reference
#define cairo_surface_set_device_offset mono_cairo_surface_set_device_offset
#define cairo_surface_set_fallback_resolution mono_cairo_surface_set_fallback_resolution
#define cairo_surface_set_user_data mono_cairo_surface_set_user_data
#define cairo_surface_show_page mono_cairo_surface_show_page
#define cairo_surface_status mono_cairo_surface_status
#define cairo_surface_write_to_png mono_cairo_surface_write_to_png
#define cairo_surface_write_to_png_stream mono_cairo_surface_write_to_png_stream
#define cairo_svg_get_versions mono_cairo_svg_get_versions
#define cairo_svg_surface_backend mono_cairo_svg_surface_backend
#define cairo_svg_surface_create mono_cairo_svg_surface_create
#define cairo_svg_surface_create_for_stream mono_cairo_svg_surface_create_for_stream
#define cairo_svg_surface_paginated_backend mono_cairo_svg_surface_paginated_backend
#define cairo_svg_surface_restrict_to_version mono_cairo_svg_surface_restrict_to_version
#define cairo_svg_version_to_string mono_cairo_svg_version_to_string
#define cairo_text_extents mono_cairo_text_extents
#define cairo_text_path mono_cairo_text_path
#define cairo_toy_font_face_hash_table mono_cairo_toy_font_face_hash_table
#define cairo_transform mono_cairo_transform
#define cairo_translate mono_cairo_translate
#define cairo_truetype_font_add_truetype_table mono_cairo_truetype_font_add_truetype_table
#define cairo_truetype_font_align_output mono_cairo_truetype_font_align_output
#define cairo_truetype_font_allocate_write_buffer mono_cairo_truetype_font_allocate_write_buffer
#define cairo_truetype_font_calculate_checksum mono_cairo_truetype_font_calculate_checksum
#define cairo_truetype_font_check_boundary mono_cairo_truetype_font_check_boundary
#define cairo_truetype_font_destroy mono_cairo_truetype_font_destroy
#define cairo_truetype_font_use_glyph mono_cairo_truetype_font_use_glyph
#define cairo_truetype_font_write mono_cairo_truetype_font_write
#define cairo_truetype_font_write_be16 mono_cairo_truetype_font_write_be16
#define cairo_truetype_font_write_be32 mono_cairo_truetype_font_write_be32
#define cairo_truetype_font_write_cmap_table mono_cairo_truetype_font_write_cmap_table
#define cairo_truetype_font_write_generic_table mono_cairo_truetype_font_write_generic_table
#define cairo_truetype_font_write_glyf_table mono_cairo_truetype_font_write_glyf_table
#define cairo_truetype_font_write_head_table mono_cairo_truetype_font_write_head_table
#define cairo_truetype_font_write_hhea_table mono_cairo_truetype_font_write_hhea_table
#define cairo_truetype_font_write_hmtx_table mono_cairo_truetype_font_write_hmtx_table
#define cairo_truetype_font_write_loca_table mono_cairo_truetype_font_write_loca_table
#define cairo_truetype_font_write_maxp_table mono_cairo_truetype_font_write_maxp_table
#define cairo_type1_font_create mono_cairo_type1_font_create
#define cairo_type1_font_create_charstring mono_cairo_type1_font_create_charstring
#define cairo_type1_font_destroy mono_cairo_type1_font_destroy
#define cairo_type1_font_subset_destroy mono_cairo_type1_font_subset_destroy
#define cairo_type1_font_subset_for_each_glyph mono_cairo_type1_font_subset_for_each_glyph
#define cairo_type1_font_subset_get_glyph_names_and_widths mono_cairo_type1_font_subset_get_glyph_names_and_widths
#define cairo_type1_font_subset_look_for_seac mono_cairo_type1_font_subset_look_for_seac
#define cairo_type1_font_subset_lookup_glyph mono_cairo_type1_font_subset_lookup_glyph
#define cairo_type1_font_subset_use_glyph mono_cairo_type1_font_subset_use_glyph
#define cairo_type1_font_subset_write_encrypted mono_cairo_type1_font_subset_write_encrypted
#define cairo_type1_write_stream mono_cairo_type1_write_stream
#define cairo_type1_write_stream_encrypted mono_cairo_type1_write_stream_encrypted
#define cairo_user_to_device mono_cairo_user_to_device
#define cairo_user_to_device_distance mono_cairo_user_to_device_distance
#define cairo_version mono_cairo_version
#define cairo_version_string mono_cairo_version_string
#define cairo_xlib_surface_backend mono_cairo_xlib_surface_backend
#define cairo_xlib_surface_create mono_cairo_xlib_surface_create
#define cairo_xlib_surface_create_for_bitmap mono_cairo_xlib_surface_create_for_bitmap
#define cairo_xlib_surface_create_with_xrender_format mono_cairo_xlib_surface_create_with_xrender_format
#define cairo_xlib_surface_get_depth mono_cairo_xlib_surface_get_depth
#define cairo_xlib_surface_get_display mono_cairo_xlib_surface_get_display
#define cairo_xlib_surface_get_drawable mono_cairo_xlib_surface_get_drawable
#define cairo_xlib_surface_get_height mono_cairo_xlib_surface_get_height
#define cairo_xlib_surface_get_screen mono_cairo_xlib_surface_get_screen
#define cairo_xlib_surface_get_visual mono_cairo_xlib_surface_get_visual
#define cairo_xlib_surface_get_width mono_cairo_xlib_surface_get_width
#define cairo_xlib_surface_get_xrender_format mono_cairo_xlib_surface_get_xrender_format
#define cairo_xlib_surface_set_drawable mono_cairo_xlib_surface_set_drawable
#define cairo_xlib_surface_set_size mono_cairo_xlib_surface_set_size
#endif
